apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: hgzero

resources:
  - ../../base

patches:
  # Common patches
  - path: cm-common-patch.yaml
    target:
      kind: ConfigMap
      name: cm-common
  - path: secret-common-patch.yaml
    target:
      kind: Secret
      name: secret-common
  - path: ingress-patch.yaml
    target:
      kind: Ingress
      name: hgzero

  # User service patches
  - path: deployment-user-patch.yaml
    target:
      kind: Deployment
      name: user
  - path: secret-user-patch.yaml
    target:
      kind: Secret
      name: secret-user

  # Meeting service patches
  - path: deployment-meeting-patch.yaml
    target:
      kind: Deployment
      name: meeting
  - path: secret-meeting-patch.yaml
    target:
      kind: Secret
      name: secret-meeting

  # STT service patches
  - path: deployment-stt-patch.yaml
    target:
      kind: Deployment
      name: stt
  - path: secret-stt-patch.yaml
    target:
      kind: Secret
      name: secret-stt

  # AI service patches
  - path: deployment-ai-patch.yaml
    target:
      kind: Deployment
      name: ai
  - path: secret-ai-patch.yaml
    target:
      kind: Secret
      name: secret-ai

  # Notification service patches
  - path: deployment-notification-patch.yaml
    target:
      kind: Deployment
      name: notification
  - path: secret-notification-patch.yaml
    target:
      kind: Secret
      name: secret-notification

images:
  - name: acrdigitalgarage02.azurecr.io/hgzero/user
    newTag: dev-latest
  - name: acrdigitalgarage02.azurecr.io/hgzero/meeting
    newTag: dev-latest
  - name: acrdigitalgarage02.azurecr.io/hgzero/stt
    newTag: dev-latest
  - name: acrdigitalgarage02.azurecr.io/hgzero/ai
    newTag: dev-latest
  - name: acrdigitalgarage02.azurecr.io/hgzero/notification
    newTag: dev-latest
